Bug 809538 - EPP-SP: content name is not displayed correctly if it contains Portuguese accent characters
EPP-SP: content name is not displayed correctly if it contains Portuguese acc...
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Site Publisher (Show other bugs)
5.2.0.GA,5.2.0.SP.GA
Unspecified Unspecified
unspecified Severity high
: ---
: 5.2.1.SP.GA
Assigned To: Default User
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 11:32 EDT by Martin Weiler
Modified: 2012-04-12 11:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An issue with language encoding resulted in the name and title fields being displayed incorrectly if content was created with special characters in these fields. This bug has been corrected.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
EXO WCM JIRA ECMS-3382 None None None Never
EXO WCM JIRA SPREDHAT-120 None None None Never

  None (edit)
Description Martin Weiler 2012-04-03 11:32:50 EDT
Steps to Reproduce:
1) configure JBoss run.conf by setting -Duser.country=BR -Duser.language=pt.
2) set browser language to pt_BR. set the ecmdemo language as pt_BR.
3) open site publisher EPP 5.2, create a content and type in some Portuguese accent characters such as "ááááá ã ã ã óóóó" in content title. 
4) after save/publish, it shows that the special characters are replaced by HTML encoded characters.
5) When you right click the content and choose "View information" it shows a modal dialog that correctly displays the content name.
6) If you right click at the content and choose the option "Rename", type the same text with accent characters it shows the correct results.
Comment 2 Martin Weiler 2012-04-11 07:33:21 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
A wrong encoding resulted in the name and title field to be displayed incorrectly if content has been created with special characters in these fields. This bug has been corrected.
Comment 3 Jared MORGAN 2012-04-11 19:39:41 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-A wrong encoding resulted in the name and title field to be displayed incorrectly if content has been created with special characters in these fields. This bug has been corrected.+An issue with language encoding resulted in the name and title fields being displayed incorrectly if content was created with special characters in these fields. This bug has been corrected.
Comment 4 prabhat jha 2012-04-12 11:32:27 EDT
Change to Verified on behalf of Tomas K.

Note You need to log in before you can comment on or make changes to this bug.